
VPATH += $(SDK_COMMON_DIR)/Debug/LetterShell/src
INCLUDES += -I$(SDK_COMMON_DIR)/Debug/LetterShell/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)
INCLUDES += -I$(SDK_DRIVER_DIR)/Arch/$(CONFIG_CHIP)/regs
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/MPRT/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/OSD/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/BCON/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/BCON/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDMI/cal/common
INCLUDES += -I$(SDK_DRIVER_DIR)/DisplayPort/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/PHY/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/PHY/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/HDCP/Engine/Common/inc
INCLUDES += -I$(USER_OSD_DIR)/Resource/Matrix/include
INCLUDES += -I$(USER_OSD_DIR)/
INCLUDES += -I$(SDK_DRIVER_DIR)/Audio/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Audio/drv/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/Video/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/Audio/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/ChannelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/AppInterface
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/BCON/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/DisplayPort/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/HDMI/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/InputPortManager/HDCP/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PanelManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/PowerManager/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/UrgentTask/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/UsbTask/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/fatfs
INCLUDES += -I$(SDK_DRIVER_DIR)/UsbHost/core/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/EdpTx/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/EdpTx/cal/common
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/Factory/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/PLL/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/KTX/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/KTX/cal/common/
INCLUDES += -I$(SDK_DRIVER_DIR)/DPU/Scaler/drv/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_MIDDLEWARE_DIR)/RunTime/SystemTask/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Cal/$(CONFIG_CHIP)/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/Peripheral/Drv/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/3rd/LED/cal/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/3rd/LED/drv/inc
INCLUDES += -I$(SDK_DIR)
INCLUDES += -I$(ROOT_DIR)/user/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/Panel/inc
INCLUDES += -I$(USER_KEYPAD_DIR)/Inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/Gamma/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/Dither/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/OD/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/FramerateDet/drv/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/Gamma/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/Dither/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/OD/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_DRIVER_DIR)/TX/FramerateDet/cal/$(CONFIG_CHIP)/inc
INCLUDES += -I$(SDK_VOS_DIR)/inc
INCLUDES += -I$(SDK_VOS_DIR)/risc/inc
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/include
INCLUDES += -I$(SDK_VOS_DIR)/freertos/FreeRTOS/Source/portable/GCC/RISC32
INCLUDES += -I$(USER_LED_DIR)/inc

OBJ_COMMON_SHELL_C = $(wildcard $(SDK_COMMON_DIR)/Debug/LetterShell/src/*.c)
OBJ_COMMON_SHELL_C_NODIR = $(notdir $(OBJ_COMMON_SHELL_C))
OBJ_COMMON_SHELL_C_O = $(OBJ_COMMON_SHELL_C_NODIR:%.c=%.o)
COMMON_TARGET_O += $(OBJ_COMMON_SHELL_C_O)

